<template>
    <!-- <AppLayout title=""> -->
        <view class="tab-container">
			<image src="/packageB/static/images/train/bj.jpg" mode=""></image>
			<view>
				<view class="btns" @click="jumps('/packageB/priority/taskAssignment')">
					<image src="/packageB/static/images/train/zxxl-k.png" mode=""></image>
					<view>
						<text>帮扶任务分配</text>
						<view class="btn">
							<text>立即查看</text>
							<image src="/packageB/static/images/train/arrow.png" mode=""></image>
						</view>
					</view>
					
				</view>
				<view class="btns" @click="jumps('/packageB/priority/taskIssue')">
					<image src="/packageB/static/images/train/mnks-k.png" mode=""></image>
					<view>
						<text>帮扶任务下发</text>
						<view class="btn">
							<text>立即查看</text>
							<image src="/packageB/static/images/train/arrow.png" mode=""></image>
						</view>
					</view>
					
				</view>
				<view class="btns" @click="jumps('/packageB/priority/recordsManagement')">
					<image src="/packageB/static/images/train/ctb-k.png" mode=""></image>
					<view>
						<text>帮扶记录管理 </text>
						<view class="btn" >
							<text>立即查看</text>
							<image src="/packageB/static/images/train/arrow.png" mode=""></image>
						</view>
					</view>
					
				</view>
			</view>
        </view>
    <!-- </AppLayout> -->
</template>

<script setup>
import { reactive, inject, watch, ref, onMounted } from 'vue';
import { onLoad, onShow } from '@dcloudio/uni-app';
const { $api, navTo, vacanciesTo, formatTotal, config } = inject('globalFunction');
import useUserStore from '@/stores/useUserStore';
import useDictStore from '@/stores/useDictStore';
// import CryptoJS from 'crypto-js'

onLoad(() => {
    // thirdLogin()
});

async function jumps(url){
	let token=uni.getStorageSync('Padmin-Token')
	if(token){
		navTo(url);
	}else{
		uni.showToast({
			title:'请先登录'
		})
		setTimeout(() => {
		    navTo('/packageB/login2?jump='+url);
		}, 2000)
	}
	
}


async function thirdLogin(){
	let form={}
	if (uni.getStorageSync('userInfo').isCompanyUser=='1' || uni.getStorageSync('userInfo').isCompanyUser=='2') {
		form={
			usertype: '1',
			idno: uni.getStorageSync('userInfo').idCard,
			name: uni.getStorageSync('userInfo').name,
			enterprisecode:"",
			enterprisename: "",
			contactperson: "",
			contactphone: "",
		}
		let key = '9zS+DFKrzxvosO82mTcPJQ=='
		let secretKey = CryptoJS.enc.Utf8.parse(key);//key  为你的秘钥
		let srcs = CryptoJS.enc.Utf8.parse(form.idno);
		let encrypted = CryptoJS.AES.encrypt(srcs, secretKey, {mode:CryptoJS.mode.ECB,padding: CryptoJS.pad.Pkcs7}).toString()
		form.idno=encrypted
	}else if (uni.getStorageSync('userInfo').isCompanyUser=='0') {
		form={
			usertype: "2",
			enterprisecode: uni.getStorageSync('userInfo').idCard,
			enterprisename: uni.getStorageSync('userInfo').name,
			contactperson: "",
			contactphone: "",
			idno: "",
			name: ""
		}
	}else{
		uni.showToast({
			icon: 'none',
			title: '请先登录'
		})
		return false;
	}
	var resLogin = await $api.myRequest('/auth/login2/ks',form,'post',10100);
	if (resLogin.code=='200') {
		uni.setStorageSync('Padmin-Token', resLogin.data.access_token)
		return true;
	}else{
		uni.showToast({
			icon: 'none',
			title: '单点异常'
		})
		return false;
	}
}
</script>

<style lang="stylus" scoped>
.tab-container{
	height: 100vh;
	width: 100%;
	position: relative;
	// background: url('@/static/images/train/bj.jpg') center center no-repeat;
	// background-size: 100% 100%;
	image{
		position: absolute;
		width: 100%;
		height: 100%;
	}
	view{
		padding: 100rpx 28rpx 0;
		.btns{
			width: 100%
			height: 170rpx;
			border-radius: 5rpx
			padding: 20rpx;
			box-sizing: border-box
			color: #000
			text-align: center
			margin-bottom: 50rpx
			position: relative
			image{
				position: absolute;
				width: 100%;
				height: 100%;
				left: 0;
				top: 0;
			}
			view{
				padding: 0 0 0 10%;
				box-sizing: border-box;
				position: absolute
				width: 100%;
				height: 100%;
				left: 0;
				top: 0;
				z-index: 100;
				display: flex;
				align-items: center
				font-weight: bold;
				font-size: 36rpx;
				color: #595959;
				.btn{
					margin-left: 8%;
					background-color: #3A92FF;
					position: static;
					color: #fff;
					font-size: 22rpx;
					display: flex;
					align-items: center;
					justify-content: center
					width: 140rpx;
					height: 50rpx;
					border-radius: 5rpx
					font-weight: 500;
					padding: 0;
					image{
						position: static;
						width: 14rpx;
						height: 22rpx;
						margin-left: 10rpx;
					}
				}
			}
		}
	}
	
}
</style>

